> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Transation History

> Inititate a Trans History



## OpenAPI

````yaml /openapi/collections.json post /merchant/transactions
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/transactions:
    post:
      tags:
        - ''
      summary: Transation History
      description: Inititate a Trans History
      operationId: ' Getting a transation History'
      requestBody:
        description: Transation History list
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransHistory'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransHistoryResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    TransHistory:
      required:
        - category
        - currency
      type: object
      properties:
        category:
          type: string
          enum:
            - collection
            - payout
            - settlement
          example: collection/payout/settlement
        currency:
          type: string
          example: NGN/USD/GHS
        limit:
          type: string
          example: '50'
        date_begin:
          type: string
          example: '2023-12-01 00:00:00'
        date_end:
          type: string
          example: '2023-12-31 23:59:59'
    TransHistoryResponse:
      type: object
      properties:
        message:
          type: string
          example: collection transactions fetched successfully
        stats:
          type: string
          example: 'null'
        data:
          type: array
          items:
            type: object
            properties:
              eventname:
                type: string
                example: charge.success
              transtype:
                type: string
                example: credit
              total_amount:
                type: integer
                example: 18000
              settled_amount:
                type: integer
                example: 17910
              fee_charged:
                type: integer
                example: 90
              currency_settled:
                type: string
                example: NGN
              dated:
                type: string
                example: '2023-12-27T20:37:18.735Z'
              status:
                type: string
                example: Success
              channel:
                type: string
                example: Nuban
              channelreference:
                type: string
                example: 2uCkPt1VJCbwCupYd
              transactionid:
                type: string
                example: 5ec9b703-9081-40c7
              narration:
                type: string
                example: Transaction was successfull
              balance_after:
                type: integer
                example: 837603
              balance_before:
                type: integer
                example: 819693
              is_completed:
                type: integer
                example: 1
              is_settled_location:
                type: string
                example: wallet
              email:
                type: string
                example: transation@gmail.com
      example:
        status: 200
        message: 'List of banks that generate virtual nubans '
        data:
          - eventname: charge.success
            transtype: credit
            total_amount: 18000
            settled_amount: 17910
            fee_charged: 90
            currency_settled: NGN
            dated: '2023-12-27T20:37:18.735Z'
            status: Success
            channel: Nuban
            channelreference: 2uCkPt1bwCupYd
            transactionid: 9b703-9081-40c7-84490e
            narration: Transaction was successfull
            balance_after: 837603
            balance_before: 819693
            is_completed: 1
            is_settled_location: wallet
            email: transation@gmail.com
          - eventname: charge.success
            transtype: credit
            total_amount: 60000
            settled_amount: 59700
            fee_charged: 300
            currency_settled: NGN
            dated: '2023-12-27T16:07:22.796Z'
            status: Success
            channel: Nuban
            channelreference: fb0e-4748-bb47-1ba390
            transactionid: fb0e-4748-bb47-1ba31333a690
            narration: Transaction was successfull
            balance_after: 819693
            balance_before: 759993
            is_completed: 1
            is_settled_location: wallet
            email: transation@gmail.com
          - eventname: charge.success
            transtype: credit
            total_amount: 18000
            settled_amount: 17910
            fee_charged: 90
            currency_settled: NGN
            dated: '2023-12-24T16:00:24.923Z'
            status: success
            channel: Nuban
            channelreference: '24154940122'
            transactionid: '1224154940122'
            narration: merchant account funding
            balance_after: 759993
            balance_before: 742083
            is_completed: 1
            is_settled_location: wallet
            email: transation@gmail.com
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.